﻿#region megoldott_feladatok
//#define PART1  // Epulet adatszerkezet
//#define PART2  // LandOffice, LoadBuildings()
//#define PART3  // ToString()
//#define PART4  // ListAll()
//#define PART5  // Rendezhetoseg, osszehasonlitas
//#define PART6  // SortBuildings()
//#define PART7  // Teljes terulet
//#define PART8  // ListAreas()
//#define PART9  // ExportAreas()
//#define PART10 // Felujitasok
//#define PART11 // LoadRenovations()
//#define PART12 // ToString() modositas
#endregion


namespace Programozas_II_CS_Minta
{
    internal class Program
    {
        static void Main(string[] args)
        {
#if PART1 && PART2
            Console.WriteLine();
            Console.WriteLine("LandOffice loading");
            LandOffice office = new LandOffice();
            // Itt toltsd be a 3 fájlt a LoadBuildings metódussal:
            // simplebuildings.json, multilevelbuildings.json, buildingswithland.json
#endif

#if PART3 && PART4
            Console.WriteLine();
            Console.WriteLine("Print all buildings:");
            office.ListAll();
#endif

#if PART5 && PART6
            Console.WriteLine();
            Console.WriteLine("Buildings sorted by address:");
            office.SortBuildings();
            office.ListAll();
#endif

#if PART7 && PART8
            Console.WriteLine();
            Console.WriteLine("Total areas of buildings:");
            office.ListAreas();
#endif

#if PART7 && PART9
            Console.WriteLine();
            Console.WriteLine("Exporting total areas");
            office.ExportAreas("area_export.json");
#endif

#if PART10 && PART11 && PART12
            Console.WriteLine();
            Console.WriteLine("Loading renovations ...");
            office.LoadRenovations("renovations.json");
            Console.WriteLine("Printing data again");
            office.ListAll();
#endif
        }
    }
}
